### Constructor

# Gtk.Adjustment.new

#### Declaration [src]

    GtkAdjustment*
    gtk_adjustment_new (
      double value,
      double lower,
      double upper,
      double step_increment,
      double page_increment,
      double page_size
    )

#### Description [src]

Creates a new `GtkAdjustment`.

#### Parameters

`value` | `double`
| the initial value
`lower` | `double`
| the minimum value
`upper` | `double`
| the maximum value
`step_increment` | `double`
| the step increment
`page_increment` | `double`
| the page increment
`page_size` | `double`
| the page size

#### Return value

Returns: `GtkAdjustment`
a new `GtkAdjustment`
Ownership is not transferred to the caller